This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 14308 - Dell PowerEdge 2450 And Mulitple Ethernet Cards (PCI)
Dell PowerEdge 2450 And Mulitple Ethernet Cards (PCI)
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-20 08:59 EDT by Gregory Cox
Modified: 2007-04-18 12:27 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 22:23:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gregory Cox 2000-07-20 08:59:57 EDT
Trying to install and activate more than one ethernet card in a Dell PowerEdge 2450 (Pentium 733 - single cpu)

First configuration attempts:
 Adding 2 Intel EtherExpress Pro 100 dual port ethernet pci cards 
 1 pci slot remains available
 Leaving embedded ethernet card enabled.  

Result: One port on each of the added ethernet cards becomes active.  The other port on each card are recognized but fail to obtain an IP 
address.  The ports that are active appear to  have the "lower" MAC address.  Incidentally,  each port is connected to a different segment.  The 
result is the same if the segments for each port on the card are swapped.  The embedded ethernet port (which is also an Intel Ethernet Express 
Pro 100) also fails to activate.  

Second configuration attempt:
Install 3 3Com 3C509b PCI Ethernet adapters and leaving the embedded Intel Ethernet Express Pro 100 adapter enabled.
The configuration leaves no PCI slot available.
Result: Only one 3Com card becomes active - successfully obtains an IP address. (at best 2 become active but one fails after a reboot a fails 
to come up again).  The embedded ethernet adapter also fails to become active.  

Disabling the embedded ethernet adapter fails yields no better result.  

Diagnostic programs from www.scyld.com report  all ports on all cards are good (no error).

Notes:
 Redhat Linux versions used:
  6.2 retail (out of box install) with Dell percraid driver installed.
  6.2 with Dell Kernel patch installed.(2.2.14-6.1.1)
  6.2 with latest kernel (2.2.16-3) installed over Dell kernel patch (2.2.14-6.1.1)
 Ethernet Adapter drivers:
  eepro100 included in the out-of-box version
  eepro100 updated version from www.scyld.com
  e100 from Intel
  3com drivers included with Redhat retail version.
Comment 1 Michael K. Johnson 2000-08-01 16:11:34 EDT
I do not know about scyld.com; have you tried the version from intel at
http://support.intel.com/support/network/adapter/pro100/100Linux.htm
I've heard rumors of an even later build than the 1.1.1 that is available
there and I'm trying to track those down, but 1.1.1 is newer than what
is included in 2.2.16-3 and knowing whether it fixes the problem or not
would be useful.
Comment 2 Gregory Cox 2000-08-14 09:23:51 EDT
Upon further investigation, I've noted the interrupts for the "nonworking" 
cards are not listed in /proc/interrupts.  This occurs in both the SMP kernel 
and the "linux-up" kernel (non-smp).  What's more perplexing is that all cards 
that I've tried appear in /proc/ioports.  So I know that the kernel is seeing 
them somehow.  In addition to that, /proc/pci also has all the cards listed.  
In fact, /proc/pci lists the interrupts of the nonworking cards.  Why 
doesn't /proc/interrupts list the interrupts for the nonworking cards?  

(My use of "cards" refers to both ports on the Intel Ethernet Express Pro Dual 
port nics and/or the individual sigle port 3com cards I've also been using)
Comment 3 Alan Cox 2002-12-15 22:23:20 EST
Dual port cards were never supported by the 2.2 drivers

Note You need to log in before you can comment on or make changes to this bug.